%global release_name liberty
%global commit 7a525b6d78b0487de325bf98f078a44d63c3fe1e

%global with_doc %{!?_without_doc:1}%{?_without_doc:0}

Name:           openstack-blazar-nova
Version:        2015.2.0
Release:        1%{?dist}
Summary:        OpenStack Reservation as a Service

License:        ASL 2.0
URL:            https://wiki.openstack.org/wiki/Blazar
Source0:        https://github.com/openstack/blazar-nova/archive/%{commit}.tar.gz

Patch0001: 0001-chameleon-support-aggregates-without-az.patch

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-pbr
BuildRequires:  python-d2to1

Requires:         openstack-nova-scheduler >= %{version}

%description
OpenStack Reservation-as-a-Service (codename Blazar) is open source software
aiming to allow the reservation of both virtual and physical resources in a
calendar based on various reservation criteria.

This package contains Blazar-specific changes to Nova. It includes filters for
Host Reservation and Nova API extensions for the VM reservation feature.

%prep
%setup -q -n blazar-nova-%{commit}

%patch0001 -p1

find . \( -name .gitignore -o -name .placeholder \) -delete

# Let RPM handle the dependencies
rm -f test-requirements.txt requirements.txt

%build
cp etc/nova.conf.example etc/climate-nova.conf

PBR_VERSION=%{version} %{__python} setup.py build

%install
PBR_VERSION=%{version} %{__python} setup.py install --skip-build --root %{buildroot}

# Delete tests
rm -fr %{buildroot}%{python_sitelib}/blazarnova/tests

install -p -D -m 640 etc/climate-nova.conf %{buildroot}%{_sysconfdir}/nova/climate-nova.conf

%files
%doc LICENSE
%doc README.rst
%config(noreplace) %attr(0640, root, nova) %{_sysconfdir}/nova/climate-nova.conf
%{python_sitelib}/blazarnova
%{python_sitelib}/blazar_nova-%{version}-*.egg-info


%changelog
* Fri Feb 05 2016 Pierre Riteau <priteau@uchicago.edu> - 2015.2.0-1
- Apply Chameleon patches
